# $Revision: 1.8 $, $Date: 2012/01/04 20:34:57 $
Summary:	i3, i5 and i7 reporting tool for Linux
Summary(pl.UTF-8):	Narzędzie informacyjne dla procesorów i3, i5 i i7 pod Linuksem
Name:		i7z
Version:	0.27.1
Release:	1
License:	GPL v2
Group:		Applications/System
#Source0Download: http://code.google.com/p/i7z/downloads/list
Source0:	http://i7z.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	4408e0e39b195b8fe6383cadc971a862
Patch0:		%{name}-link.patch
URL:		http://code.google.com/p/i7z/
BuildRequires:	ncurses-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	QtGui-devel
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
A better i7 (and now i3, i5) reporting tool for Linux.

%description -l pl.UTF-8
Lepsze narzędzie informacyjne dla procesorów i7 (teraz także i3, i5)
działające pod Linuksem.

%package gui
Summary:	Qt-based graphical i3/i5/i7 CPU reporting tool
Summary(pl.UTF-8):	Oparte na Qt graficzne narzędzie informacyjne dla procesorów i3/i5/i7
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gui
Qt-based graphical i3/i5/i7 CPU reporting tool.

%description gui -l pl.UTF-8
Oparte na Qt graficzne narzędzie informacyjne dla procesorów i3/i5/i7.

%prep
%setup -q
%patch0 -p1

%build
%{__make} clean
%{__make} \
	CC="%{__cc}" \
	CFLAGSANY="%{rpmcflags} %{rpmcppflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DBUILD_MAIN -Wall" \
	INCLUDEFLAGS=-I/usr/include/ncurses \
	LDFLAGS="%{rpmldflags}" \
	LIBS="-lncurses -ltinfo -lpthread -lrt"

cd GUI
qmake-qt4 \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
	QMAKE_LFLAGS_RELEASE="%{rpmldflags}"
%{__make} clean
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

install %{name} $RPM_BUILD_ROOT%{_sbindir}
install GUI/i7z_GUI $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_sbindir}/i7z

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/i7z_GUI

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: i7z.spec,v $
Revision 1.8  2012/01/04 20:34:57  qboosh
- updated to 0.27.1
- updated link patch

Revision 1.7  2011/08/31 18:27:21  arekm
- release 3

Revision 1.6  2011/08/04 17:56:09  arekm
- rel 2; clean first; then build (author distributes half-compiled source)

Revision 1.5  2011/08/04 17:52:03  arekm
- up to 0.27

Revision 1.4  2011/06/06 08:02:24  qboosh
- added link patch to fix linking using ld.bfd
- use optflags when building GUI
- moved i7z_GUI to -gui subpackage

Revision 1.3  2011/05/31 19:54:37  qboosh
- updated to 0.26
- pl
- use proper CC/optflags for CLI utility
- added c++ patch to fix GUI build

Revision 1.2  2010/07/04 10:42:57  gotar
- EA archs that can run on Nehalem CPUs

Revision 1.1  2010/07/04 10:37:28  gotar
- initial PLD release
